#import <Cocoa/Cocoa.h>

#import "TypeaheadTableView.h"

// This decends from TypeaheadTableView for this demo, but it doesn't really need to.

@interface AnimatedTableView : TypeaheadTableView

- (NSRect)unanimatedRectOfRow:(int)rowIndex;	// rectOfRow when you don't take animation into account

@end

// These are the methods that your delegate should implement to animate the sorting.

@interface NSObject ( slidingAnimatedTableSortDelegate )

- (NSRect)tableView:(AnimatedTableView *)inTableView rectOfRow:(int)inRowIndex defaultRect:(NSRect)inDefaultRect;
- (NSRange)tableView:(AnimatedTableView *)inTableView rowsInRect:(NSRect)inRect defaultRange:(NSRange)inDefaultRange;

@end
